🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Partner Report

get partner report in detail.
POSThttps://json.astrologyapi.com/v1/partner_report

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

you_dateintrequired

Your birth day, eg: 27

you_monthintrequired

Your birth month, eg: 6

you_yearintrequired

Your birth year, eg: 2000

you_genderstringrequired

Your gender, eg: male

match_dateintrequired

Match's birth day, eg: 26

match_monthintrequired

Match's birth month, eg: 9

match_yearintrequired

Match's birth year, eg: 1995

match_genderstringrequired

Match's gender, eg: female

match_namestringrequired

Match's name, eg: Jessica

curl --location 'https://json.astrologyapi.com/v1/partner_report' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "you_date": 27,
    "you_month": 6,
    "you_year": 2000,
    "you_gender": "male",
    "match_date": 26,
    "match_month": 9,
    "match_year": 1995,
    "match_gender": "female",
    "match_name": "Jessica"
}'
Try it

Runs with sample data — no API key needed

{
  "title": "You and Sofia share similar vibrations and attractions.",
  "msg": "Your presence makes a big difference to the other. You are emotionally sympathetic and understanding toward each other. You both have a strong desire for transforming the relationship in some way that is beneficial for both. The relationship will be interesting and long lasting.",
  "tags": ""
}